> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/organization-location.md).

# Organization Location

## Gets a list of organization locations

> This endpoint is used to fetch all the organization locations in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/":{"get":{"operationId":"ux_common_org_location_list","description":"This endpoint is used to fetch all the organization locations in the current organization","summary":"Gets a list of organization locations","tags":["Organization Location"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationLocation"}}}},"description":""}}}}}}
```

## Creates a new location&#x20;

> This endpoint is used to save a new user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/org/location/":{"post":{"operationId":"ux_common_org_location_create","description":"This endpoint is used to save a new user for the current organization","summary":"Creates a new location ","tags":["Organization Location"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a organization location with the given id

> This endpoint is used to fetch a organization location details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/{id}/":{"get":{"operationId":"ux_common_org_location_retrieve","description":"This endpoint is used to fetch a organization location details in the current organization","summary":"Gets a organization location with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Organization Location"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## Edits the organization location with given id

> This endpoint is used to edit an existing organization location for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/{id}/":{"put":{"operationId":"ux_common_org_location_update","description":"This endpoint is used to edit an existing organization location for the current organization","summary":"Edits the organization location with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Organization Location"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## Deletes the organization location with given id

> This endpoint is used to delete an existing organization location for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/org/location/{id}/":{"delete":{"operationId":"ux_common_org_location_destroy","description":"This endpoint is used to delete an existing organization location for the current organization","summary":"Deletes the organization location with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Organization Location"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/common/org/location/create-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/create-csv/":{"post":{"operationId":"ux_common_org_location_create_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## POST /ux/common/org/location/csv\_cols/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/csv_cols/":{"post":{"operationId":"ux_common_org_location_csv_cols_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## GET /ux/common/org/location/download\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/download_csv/":{"get":{"operationId":"ux_common_org_location_download_csv_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## GET /ux/common/org/location/location\_details/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/location_details/":{"get":{"operationId":"ux_common_org_location_location_details_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## GET /ux/common/org/location/team\_location/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/team_location/":{"get":{"operationId":"ux_common_org_location_team_location_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```

## POST /ux/common/org/location/upload-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrganizationLocation":{"type":"object","description":"Serializes organization location querysets.","properties":{"id":{"type":"string","readOnly":true},"location_id":{"type":"string","maxLength":25},"region":{"type":"string","maxLength":100},"location_name":{"type":"string","maxLength":256},"description":{"type":"string","maxLength":1000},"country":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":100},"city":{"type":"string","maxLength":100},"area":{"type":"string","maxLength":100},"subarea":{"type":"string","maxLength":100},"address":{"type":"string","maxLength":1000},"city_bb":{"type":"string","maxLength":100},"pincode":{"type":"string","maxLength":100},"landmark":{"type":"string","maxLength":100},"latitude":{"type":"number","format":"float"},"longitude":{"type":"number","format":"float"},"district":{"type":"string","maxLength":100},"address_type":{"type":"string","maxLength":255},"is_ci":{"type":"boolean"},"base_radius":{"type":"number","format":"float"},"is_preconfigured":{"type":"boolean"}},"required":["id","location_id"]}}},"paths":{"/ux/common/org/location/upload-csv/":{"post":{"operationId":"ux_common_org_location_upload_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Organization Location"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationLocation"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/organization-location.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
